package pl.edu.amu.andrzej.jurga;

public class Prime {
    public static int[] primes(int limit){
        int[] sieve = new int[limit -1];

        for (int i = 0; i < sieve.length; i++) {
            sieve[i] = i + 2;
        }

        for(int j = 0; j<sieve.length - 1; j++){
            for(int k = j+1; k<sieve.length; k++){
                if(sieve[j] != 0 && sieve[k] != 0 && sieve[k] % sieve[j] == 0){
                    sieve[k] = 0;
                }
            }
        }
        int targetIndex = 0;
        for( int sourceIndex = 0;  sourceIndex < sieve.length;  sourceIndex++ )
        {
            if( sieve[sourceIndex] != 0 )
                sieve[targetIndex++] = sieve[sourceIndex];
        }
        int[] sieveNoZeros = new int[targetIndex];
        System.arraycopy( sieve, 0, sieveNoZeros, 0, targetIndex );

        return sieveNoZeros;
    }
}
