#!/bin/bash

# Run tests
python3.10 manage.py test --with-coverage

# Check if tests passed
if [ $? -eq 0 ]; then
    # Start development server if tests passed
    python3.10 manage.py runserver
else
    echo "Tests failed, development server not started"
fi
