from django.contrib.auth.models import User
from django.contrib.auth import get_user_model
from django.db import models

# Create your models here.
class Imports(models.Model):
    project_name = models.CharField(max_length=255, unique=True)
    user_id = models.ForeignKey(User, on_delete=models.CASCADE)
    creation_date = models.DateTimeField(auto_now_add=True)
    file = models.FileField()
    paid = models.BooleanField(default=0)

User = get_user_model()

class AppUser(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    isPremium = models.BooleanField()